com.jscape.inet.mft.management.descriptors

## Enum FtpServiceDescriptor.ServiceType

- java.lang.Object
- - java.lang.Enum<FtpServiceDescriptor.ServiceType>
  - - com.jscape.inet.mft.management.descriptors.FtpServiceDescriptor.ServiceType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FtpServiceDescriptor.ServiceType>
  Enclosing class:
    FtpServiceDescriptor

      public static enum FtpServiceDescriptor.ServiceType
      extends java.lang.Enum<FtpServiceDescriptor.ServiceType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXPLICIT_SSL`
    `FORCED_EXPLICIT_SSL`
    `IMPLICIT_SSL`
    `REGULAR`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `code`
    `int` | `defaultPort`
    `boolean` | `keyUsed`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FtpServiceDescriptor.ServiceType` | `typeFor(java.lang.String code)`
    `static FtpServiceDescriptor.ServiceType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FtpServiceDescriptor.ServiceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REGULAR

          public static final FtpServiceDescriptor.ServiceType REGULAR

    - #### EXPLICIT_SSL

          public static final FtpServiceDescriptor.ServiceType EXPLICIT_SSL

    - #### FORCED_EXPLICIT_SSL

          public static final FtpServiceDescriptor.ServiceType FORCED_EXPLICIT_SSL

    - #### IMPLICIT_SSL

          public static final FtpServiceDescriptor.ServiceType IMPLICIT_SSL

  - ### Field Detail

    - #### code

          public final java.lang.String code

    - #### defaultPort

          public final int defaultPort

    - #### keyUsed

          public final boolean keyUsed

  - ### Method Detail

    - #### values

          public static FtpServiceDescriptor.ServiceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FtpServiceDescriptor.ServiceType c : FtpServiceDescriptor.ServiceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FtpServiceDescriptor.ServiceType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### typeFor

          public static FtpServiceDescriptor.ServiceType typeFor(java.lang.String code)

Copyright © JSCAPE LLC. 1999-2018. All Rights Reserved